package com.midimind.core;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;

public class SystemProperties {
	
	private static final String PROPERTIES_FILE = "system.conf";
	private static Properties properties = null;
	
	public static Properties getProperties() {
		if (properties == null) {
			properties = new Properties();
			FileInputStream in;
			try {
				in = new FileInputStream(PROPERTIES_FILE);
				properties.load(in);
			} catch (IOException e) {
				throw new RuntimeException("Unable to load system properties", e);
			}			
		}
		
		return properties;
	}
}
