package com.midimind.core.hardware.command;

public abstract class PayloadCommand extends Command {

	protected byte[] payload = null;
	
	public byte[] getPayload() {
		if (this.payload == null)
			throw new IllegalStateException("No payload set.");
		return payload;
	}

	protected void setPayload(byte[] payload) {
		this.payload = payload;
	}

}
