package com.midimind.core.hardware;

public class DeviceException extends Exception {

	private static final long serialVersionUID = 1L;

	private String reason = null;
	private DeviceState state = null;

	public DeviceException() {
		super();
	}

	public DeviceException(String reason) {
		super(reason);
		this.reason = reason;
	}

	public DeviceException(String reason, DeviceState state) {
		super(reason);
		this.reason = reason;
		this.state = state;
	}

	public String getReason() {
		return reason;
	}

	public DeviceState getDeviceState() {
		return state;
	}
	
	
	
}
